<div class="content">

  <div class="columns">
    <div class="column">
      <h3 class="title is-3">Repository evaluation</h3>
      <h4 class="title is-4"
          *ngIf="criteriasSortedAndLoaded && sortedEvaluatorCriterias.length > 0 && getTotalWeight()>0">Mark
        : {{mark()}} / 20</h4>
    </div>

    <div class="column has-text-right">
      <div class="field">
        <input id="notFulfilledOnly" type="checkbox" name="notFulfilledOnly"
               class="switch is-rounded is-primary form-control" [checked]="notFulfilledOnly"
               [(ngModel)]="notFulfilledOnly">
        <label for="notFulfilledOnly" class="label">Not fulfilled only</label>
      </div>
    </div>
  </div>

  <div *ngIf="criteriasSortedAndLoaded && sortedEvaluatorCriterias.length > 0; else noDataBloc" class="content">
    <div class="content" *ngFor="let criteriasByModule of sortedEvaluatorCriterias">
      <div class="columns">
        <div class="column is-4">
          <h4 class="subtitle is-4">{{ criteriasByModule.moduleName }}</h4>
          <hr>
        </div>
      </div>
      <div *ngFor="let criteria of criteriasByModule.criterias" class="content">
        <div *ngIf="filterFulfilled(criteria.fulfilled)" class="notification has-tooltip"
             [class.is-success]="criteria.fulfilled" [class.is-danger]="!criteria.fulfilled"
             (click)="showEvaluationDataModal(criteria.data)" style="width: 50%">
          <p><b>{{ criteria.configuration.label }}</b></p>

          <p>{{ criteria.configuration.description }}</p>

          <p>weight : {{criteria.configuration.value.weight}}</p>

          <hr>
          <p *ngFor="let sub of criteria.configuration.value.subcriterias ; let j = index; let isFirst = first" style="display:inline-block;">
            <b *ngIf="!isFirst">{{criteria.configuration.value.operators[j - 1].type}}</b>
            {{sub.key}}   {{sub.compareSymbol}}    {{sub.value}} (weight:{{sub.weight}}) &nbsp;
          </p>
          <p class=" is-tooltip
          ">Show evaluation data</p>
        </div>
      </div>
      <div class="columns">
        <div class="column is-8">

        </div>
        <div class="column is-4">
          <hr>
        </div>
      </div>
    </div>
    <app-evaluator-data-modal *ngIf="isEvaluationDataModalActive()" [data]="evaluationDataModalData"
                              (hideModalEvent)="hideEvaluationDataModal()"></app-evaluator-data-modal>
  </div>

  <ng-template #noDataBloc>
    <div *ngIf="criteriasSortedAndLoaded; else loadingBloc" class="notification is-primary">
      No evaluator criteria
    </div>

    <ng-template #loadingBloc>
      <a *ngIf="!errorLoadingData; else errorLoadingDataBloc"
         class="button is-primary is-outlined is-loading is-large is-fullwidth"></a>
      <ng-template #errorLoadingDataBloc>
        <div class="notification is-danger">
          {{ errorLoadingData }}
        </div>
      </ng-template>
    </ng-template>
  </ng-template>

</div>
